# Generated by Django 2.2.3 on 2019-08-28 14:17

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('cs', '0006_auto_20190828_1356'),
    ]

    operations = [
        migrations.CreateModel(
            name='PostShareStatus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField(blank=True, null=True, verbose_name='Дата обновления статуса')),
                ('status', models.IntegerField(choices=[(0, 'Не делился'), (1, 'Проверка'), (2, 'Поделился')], default=0, verbose_name='Статус')),
                ('post', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='cs.Post')),
                ('user', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
